Subject: [alpine-aports] [PATCH] testing/wslay: new aport

From: Bennett Goble <[email-masked]>
Date: Sat, 13 Jun 2015 22:42:45 -0400

http://wslay.sourceforget.net/
wslay is a websocket library written in C
---
 testing/wslay/APKBUILD | 39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)
 create mode 100644 testing/wslay/APKBUILD

diff --git a/testing/wslay/APKBUILD b/testing/wslay/APKBUILD
new file mode 100644
index 0000000..a1f6f92
--- /dev/null
+++ b/testing/wslay/APKBUILD
@@ -0,0 +1,39 @@
+# Contributor: Bennett Goble <[email-masked]>
+# Maintainer: Bennett Goble <[email-masked]>
+
+pkgname=wslay
+pkgver=1.0.0
+pkgrel=1
+pkgdesc="The WebSocket library in C"
+url="http://wslay.sourceforge.net/"
+arch="all"
+license="MIT"
+depends=
+makedepends="autoconf automake libtool py-sphinx"
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="https://github.com/tatsuhiro-t/wslay/archive/release-$pkgver.tar.gz"
+
+_builddir="$srcdir"/$pkgname-release-$pkgver
+
+prepare() {
+	cd "$_builddir"
+	autoreconf -i && automake && autoconf || return 1
+}
+
+build() {
+	cd "$_builddir"
+	./configure \
+		--prefix=/usr \
+		|| return 1
+	make || return 1
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="983f75df5a18693edba23a9d793036e4  release-1.0.0.tar.gz"
+sha256sums="874c4a6aa15b596846ff3a3ef848b8a6e6f4ca579a1657df9b318a06ac6c79a6  release-1.0.0.tar.gz"
+sha512sums="12aadf5a36a38efcbec68f42bc49f6fdc272be44b986e2ca26d6bf0660bf39437a400a7f33de9d8abfad0b2fde64ffef32cea5a586868aa33fa685e257e39a35  release-1.0.0.tar.gz"
-- 
2.4.1

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---